Debian Bug report logs - #699546
ITP: slingshot-clojure -- Enhanced throw and catch library for Clojure

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Wolodja Wentland <debian@babilen5.org>

Date: Fri, 1 Feb 2013 15:57:02 UTC

Owned by: Wolodja Wentland <debian@babilen5.org>

Severity: wishlist

Fixed in version slingshot-clojure/0.10.3-1

Done: Wolodja Wentland <debian@babilen5.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@babilen5.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#699546; Package wnpp. (Fri, 01 Feb 2013 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolodja Wentland <debian@babilen5.org>:
New Bug report received and forwarded. Copy sent to debian@babilen5.org, debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 01 Feb 2013 15:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wolodja Wentland <debian@babilen5.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libslingshot-clojure -- Enhanced throw and catch library for Clojure
Date: Fri, 01 Feb 2013 15:52:45 +0000
Package: wnpp
Severity: wishlist
Owner: Wolodja Wentland <debian@babilen5.org>

* Package name    : libslingshot-clojure
  Version         : 0.10.3
  Upstream Author : Stephen C. Gilardi <scgilardi@gmail.com>
* URL             : https://github.com/scgilardi/slingshot/
* License         : EPL-1.0
  Programming Lang: Clojure, Java
  Description     : Enhanced throw and catch library for Clojure

 Slingshot is a Clojure library providing enhanced throw and catch replacements
 try+ and throw+.

 Each is 100% compatible with Clojure's and Java's native try and throw both in
 source code and at runtime. Each also provides new capabilities intended to
 improve ease of use by leveraging Clojure's features like maps, records, and
 destructuring. Among them:

    * throw+ can throw any Java object, not just those whose class is derived
      from java.lang.Throwable (e.g. Clojure maps or records)

    * catch clauses within try+ can catch any Java object thrown by throw+,
      Clojure's throw, or Java's throw

    * selectors in catch clauses allow matching on class name, key-value
      vectors, predicates and more

    * Information about the context of a throw site is accessible via a hidden
      argument that includes information on, for example, the caught object,
      exception messages and stack traces



Changed Bug title to 'ITP: slingshot-clojure -- Enhanced throw and catch library for Clojure' from 'ITP: libslingshot-clojure -- Enhanced throw and catch library for Clojure' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 26 May 2013 22:51:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 11 Jul 2013 08:06:04 GMT) Full text and rfc822 format available.

Reply sent to Wolodja Wentland <debian@babilen5.org>:
You have taken responsibility. (Fri, 09 Aug 2013 23:18:13 GMT) Full text and rfc822 format available.

Notification sent to Wolodja Wentland <debian@babilen5.org>:
Bug acknowledged by developer. (Fri, 09 Aug 2013 23:18:13 GMT) Full text and rfc822 format available.

Message #14 received at 699546-close@bugs.debian.org (full text, mbox):

From: Wolodja Wentland <debian@babilen5.org>
To: 699546-close@bugs.debian.org
Subject: Bug#699546: fixed in slingshot-clojure 0.10.3-1
Date: Fri, 09 Aug 2013 23:15:02 +0000
Source: slingshot-clojure
Source-Version: 0.10.3-1

We believe that the bug you reported is fixed in the latest version of
slingshot-clojure, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699546@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Wolodja Wentland <debian@babilen5.org> (supplier of updated slingshot-clojure package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 23 May 2013 16:52:43 +0000
Source: slingshot-clojure
Binary: libslingshot-clojure
Architecture: source all
Version: 0.10.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Changed-By: Wolodja Wentland <debian@babilen5.org>
Description: 
 libslingshot-clojure - Enhanced throw and catch library for Clojure
Closes: 699546
Changes: 
 slingshot-clojure (0.10.3-1) unstable; urgency=low
 .
   * Initial release. (Closes: #699546)
Checksums-Sha1: 
 30fb9691a902e200df325e89fa6417659bd11e98 2137 slingshot-clojure_0.10.3-1.dsc
 339facb19d4224e8ee6751408882d4a80bb6b0d6 11443 slingshot-clojure_0.10.3.orig.tar.gz
 e7aa8c278180388795abc527740a2a8f253a3f77 7078 slingshot-clojure_0.10.3-1.debian.tar.gz
 7376578b80ba288c48bf42e0b295b4d84580f4e6 20194 libslingshot-clojure_0.10.3-1_all.deb
Checksums-Sha256: 
 2c93203f4f52fb43240836e1710f65c40a855d401f85308fa1bc935934409dcf 2137 slingshot-clojure_0.10.3-1.dsc
 47bfd223c9ca983a6f2cb23b925561f0fa7202f9dc14ce5db5428701a124c002 11443 slingshot-clojure_0.10.3.orig.tar.gz
 5da155e71007acb8edab86eb4f86b8f5c511cb7234ad688c0e92808b0eb47d89 7078 slingshot-clojure_0.10.3-1.debian.tar.gz
 73008c44911c158af9c2b66024db004f0cb04d1fa679f94dcac84f56ed7176ae 20194 libslingshot-clojure_0.10.3-1_all.deb
Files: 
 64b6c61cbd22cb2520ddc7ba0655ddf2 2137 java optional slingshot-clojure_0.10.3-1.dsc
 c9629a3d9ebdf3f62ac8d98806d181d0 11443 java optional slingshot-clojure_0.10.3.orig.tar.gz
 1f0e63c9014fcc19927661201200ce5f 7078 java optional slingshot-clojure_0.10.3-1.debian.tar.gz
 166adac7edbe7f4419d16ea927a83c60 20194 java optional libslingshot-clojure_0.10.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJR3hGuAAoJEHtYWzCAfCqHF70P/j/38T43kfrdHDv0P2Za+osx
ZtQhvME2MBFA5rnJQ28v0bYutcxd3uZBaeo0LS4RgPJ7p1H3UefeQ5f4nmSIjcwG
4z5XsHAawN+WvZyulod4QZ3VBAz9WiRArUa74EKJgednLlUuBJCHsVB+99j8owWL
5qa/cU6yVjGDLHGh0Wz/a98GD/C3fLSRxe8F4Kpx0nsuTksA64evNBK8YXOqZGrr
JC/JVX66iqmnh5IROCwB2+rut7+wTw8+6E3hJHn9KQc1kQRc2l9jnUtbckAnS2n0
HG0++ZJPdMB7gziQn9AeaVi+882uIQfrJhkPTQrXxGJ6MAPsSLpSsYW/18yi3i03
ENYFJbgW+WUnfKnSjHYDhVDcuDrwTx4U2kQQRjbjrZgBj1CnNmD/ntOMlPc6tFvD
aZ/YVO3vLmEGsfZEG/iU2eNpBHfaN0p7fiPLM3MKmgW9NJKMM2dWCspEMwqhZXwC
bEhiYKqznFWdBMexyKA9iEXaLCxXhiMo9mEIB7ZAF85IxNGXXML8G/+SPr/ZFySz
rDIkUK9gmmbdWFv+8oaugRPs8nzZayNUolWVBiVmfnf0kooOFON7MHrpaVMxnhuA
3PBQU3JRwpV2lFsX2IMEjMEREeHFhri6kT3mvLxIn6YLmiMGEitcDyBqLt07xHgt
sgpy/bNR0Us/7ppe8ZDk
=YQQj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:44:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.